Bug 1254542 (CVE-2015-5194) - CVE-2015-5194 ntp: crash with crafted logconfig configuration command
Summary: CVE-2015-5194 ntp: crash with crafted logconfig configuration command
Status: CLOSED ERRATA
Alias: CVE-2015-5194
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150825,reported=2...
Keywords: Reopened, Security
: 1239022 1243937 (view as bug list)
Depends On: 1256681 1296209 1317795
Blocks: 1172231 1254549 1323912
TreeView+ depends on / blocked
 
Reported: 2015-08-18 11:12 UTC by Martin Prpič
Modified: 2016-11-06 04:12 UTC (History)
5 users (show)

(edit)
It was found that ntpd could crash due to an uninitialized variable when processing malformed logconfig configuration commands.
Clone Of:
(edit)
Last Closed: 2016-11-06 04:12:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0780 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-05-10 22:35:43 UTC
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2015-08-18 11:12:24 UTC
It was found that ntpd could crash due to an uninitialized variable when processing malformed logconfig configuration commands, for example:

ntpq -c ":config logconfig a"

Upstream patch:

http://bk.ntp.org/ntp-dev/?PAGE=patch&REV=4c4fc141LwvcoGp-lLGhkAFp3ZvtrA

Comment 1 Florian Weimer 2015-08-25 09:10:46 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1256681]

Comment 3 Fedora Update System 2015-08-25 10:59:48 UTC
ntp-4.2.6p5-33.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14211

Comment 4 Fedora Update System 2015-08-25 11:03:29 UTC
ntp-4.2.6p5-33.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14212

Comment 5 Fedora Update System 2015-08-25 11:05:29 UTC
ntp-4.2.6p5-33.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14213

Comment 6 Fedora Update System 2015-08-26 04:25:27 UTC
ntp-4.2.6p5-33.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14213

Comment 7 Fedora Update System 2015-08-26 17:24:52 UTC
ntp-4.2.6p5-33.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14211

Comment 8 Fedora Update System 2015-08-26 17:27:28 UTC
ntp-4.2.6p5-33.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14212

Comment 9 Fedora Update System 2015-09-20 15:23:10 UTC
ntp-4.2.6p5-33.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-10-12 02:18:15 UTC
ntp-4.2.6p5-33.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-11-04 22:50:00 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Miroslav Lichvar 2015-12-03 11:18:37 UTC
*** Bug 1239022 has been marked as a duplicate of this bug. ***

Comment 14 Miroslav Lichvar 2016-02-18 08:45:23 UTC
*** Bug 1243937 has been marked as a duplicate of this bug. ***

Comment 16 errata-xmlrpc 2016-05-10 20:16:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html

Comment 17 errata-xmlrpc 2016-11-03 19:32:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.